# Acknowledgements

This software was developed to meet the U.S. Geological Survey's need for a
high-performance probabilistic seismic hazard (PSHA) engine capable of supporting
increasingly complex earthquake hazard models via web-services. It leverages and
benefits from many design and performance features found in [OpenSHA][1] and
the legacy [USGS fortran codes][2], both of which have been supported by the USGS
and others over many years. In particular, the Southern California Earthquake
Center ([SCEC][3]) has been instrumental in the continued development of OpenSHA,
which is in use worldwide.

[1]: http://www.opensha.org
[2]: https://github.com/usgs/nshmp-haz-fortran
[3]: https://www.scec.org
