package gov.usgs.earthquake.nshmp.fault.surface;

import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.Test;

import gov.usgs.earthquake.nshmp.geo.Location;
import gov.usgs.earthquake.nshmp.geo.LocationList;

class RuptureFloatingTest {

  @BeforeAll
  static void setUpBeforeClass() throws Exception {}

  @Test
  final void testOff() {

    LocationList trace = LocationList.of(
        Location.create(-118.0, 34.0),
        Location.create(-118.0, 34.4));

  }

  public static void main(String[] args) {

    LocationList trace = LocationList.of(
        Location.create(-118.0, 34.0),
        Location.create(-118.0, 34.4));

    DefaultGriddedSurface surface = DefaultGriddedSurface.builder()
        .trace(trace)
        .depth(0.0)
        .dip(90.0)
        .width(15.0)
        .build();

    System.out.println(surface);
    System.out.println(surface.dipSpacing);
    System.out.println(surface.strikeSpacing);
    System.out.println(surface.getNumRows());
    System.out.println(surface.getNumCols());

  }
}
